RHEL 5:python (RHSA-2011:0492)

medium Nessus 插件 ID 53821
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 Red Hat 主机缺少一个或多个安全更新。

描述

更新后的 python 程序包修复了多种安全问题,现在可用于 Red Hat Enterprise Linux 5。

Red Hat 安全响应团队已将此更新评级为具有中等安全影响。可从“参考”部分中的 CVE 链接获取针对每个漏洞的通用漏洞评分系统 (CVSS) 基本分数,其给出了详细的严重性等级。

Python 是一种直译的交互式面向对象的编程语言。

已发现 Python urllib 和 urllib2 库中的缺陷,即在处理自动化重定向时,未区分不同的目标 URL。这会导致使用这些模块的 Python 应用程序进入其能够理解的任意新 URL,包括“file://”URL 类型。这可允许远程服务器强迫本地 Python 应用程序读取本地文件而不是远程文件,从而可能泄漏本不欲泄漏的本地文件。
(CVE-2011-1521)

在 Python smtpd 模块处理新连接的方式中发现争用条件。远程用户可利用此缺陷来导致使用 smtpd 模块的 Python 脚本终止。(CVE-2010-3493)

在 Python CGIHTTPServer 模块处理特定 HTTP GET 请求的方式中发现一个信息泄露缺陷。远程攻击者可利用特别构建的请求以获得 CGI 脚本的源代码。(CVE-2011-1015)

在 Python Expat 解析器处理 XML 文件时处理畸形 UTF-8 序列的方式中发现一个缓冲区读取越界缺陷。特别构建的 XML 文件可导致使用 Python Expat 解析器的 Python 应用程序在解析文件时崩溃。(CVE-2009-3720)

此更新导致 Python 使用系统 Expat 库,而不是其自己的内部副本;因此,用户必须安装 RHSA-2009:1625 随附的 Expat 版本或更高版本才能解决 CVE-2009-3720 问题。

所有 Python 用户应升级这些更新后的程序包,其中包含用于修正这些问题的向后移植的修补程序。

解决方案

更新受影响的程序包。

另见

https://access.redhat.com/security/cve/cve-2009-3720

https://access.redhat.com/security/cve/cve-2010-3493

https://access.redhat.com/security/cve/cve-2011-1015

https://access.redhat.com/security/cve/cve-2011-1521

https://access.redhat.com/errata/RHSA-2011:0492

插件详情

严重性: Medium

ID: 53821

文件名: redhat-RHSA-2011-0492.nasl

版本: 1.20

类型: local

代理: unix

发布时间: 2011/5/6

最近更新时间: 2021/1/14

依存关系: ssh_get_info.nasl

风险信息

VPR

风险因素: Medium

分数: 5.2

CVSS v2

风险因素: Medium

基本分数: 6.4

时间分数: 4.7

矢量: AV:N/AC:L/Au:N/C:P/I:N/A:P

时间矢量: E:U/RL:OF/RC:C

漏洞信息

CPE: p-cpe:/a:redhat:enterprise_linux:python, p-cpe:/a:redhat:enterprise_linux:python-devel, p-cpe:/a:redhat:enterprise_linux:python-libs, p-cpe:/a:redhat:enterprise_linux:python-tools, p-cpe:/a:redhat:enterprise_linux:tkinter, cpe:/o:redhat:enterprise_linux:5, cpe:/o:redhat:enterprise_linux:5.6

必需的 KB 项: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

易利用性: No known exploits are available

补丁发布日期: 2011/5/5

漏洞发布日期: 2009/11/3

参考资料信息

CVE: CVE-2009-3720, CVE-2010-3493, CVE-2011-1015, CVE-2011-1521

BID: 36097, 44533, 46541, 47024

RHSA: 2011:0492